|
Publié le par Chloé MAHALIN

@Angular/cli

Initier un projet avec Angular/Cli

Prérequis, installation de @Angular/cli.

Vous avez installé @Angular/cli sur votre machine ?

1) Initiez un nouveau projet avec la commande
ng new MyApplicationName
2) Rajoutez @Angular/cli aux dépendances dev pour les autres développeurs si elle n'y est pas déjà
npm install --save -dev @angular/cli

Ce qui devrait donner ce fichier package.json :

{
  "name": "myApplicationName",
  "version": "0.0.0",
  "license": "MIT",
  "scripts": {
    "ng": "ng",
    "start": "ng serve",
    "build": "ng build",
    "test": "ng test",
    "lint": "ng lint",
    "e2e": "ng e2e"
  },
  "private": true,
  "dependencies": {
    "@angular/common": "^4.0.0",
    "@angular/compiler": "^4.0.0",
    "@angular/core": "^4.0.0",
    "@angular/forms": "^4.0.0",
    "@angular/http": "^4.0.0",
    "@angular/platform-browser": "^4.0.0",
    "@angular/platform-browser-dynamic": "^4.0.0",
    "@angular/router": "^4.0.0",
    "core-js": "^2.4.1",
    "rxjs": "^5.1.0",
    "zone.js": "^0.8.4"
  },
  "devDependencies": {
    "@angular/cli": "1.0.1",
    "@angular/compiler-cli": "^4.0.0",
    "@types/jasmine": "2.5.38",
    "@types/node": "~6.0.60",
    "codelyzer": "~2.0.0",
    "jasmine-core": "~2.5.2",
    "jasmine-spec-reporter": "~3.2.0",
    "karma": "~1.4.1",
    "karma-chrome-launcher": "~2.0.0",
    "karma-cli": "~1.0.1",
    "karma-jasmine": "~1.1.0",
    "karma-jasmine-html-reporter": "^0.2.2",
    "karma-coverage-istanbul-reporter": "^0.2.0",
    "ts-node": "~2.0.0",
    "tslint": "~4.5.0",
    "typescript": "~2.2.0"
  }
}

je vous conseille de supprimer les petits chapeaux dans votre fichier package.json afin de fixer les versions des dépendances de votre projet. En effet, le chapeau ^ signifie "la dépendance de version au moins égale à", donc c'est une version minimum.

3) Réinstallez votre projet une dernière fois afin de bien rapatrier les dépendances localement.
npm install